import bb.cascades 1.0
//import "Common"

Sheet
{

	Page {
	    id: sheetModify
	
	    
	    titleBar: TitleBar {
	        id: addBar
	        title: "Settings"
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
	            title: "Cancel"
	            onTriggered: {
	                _mainApp.cancelSettings()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            title: "Save"
	            onTriggered: {
	                _mainApp.saveSettings()
	            }
	        }
	    }// titleBar
	    

	    ScrollView {
	
	
		    Container
		    {
		        layout: StackLayout {
		        }
		        leftPadding: 10.0
		        topPadding: 10.0
		        rightPadding: 10.0
		        bottomPadding: 10.0
//		        background: Color.Black
                horizontalAlignment: HorizontalAlignment.Fill
	
	            DropDown {
	                horizontalAlignment: HorizontalAlignment.Fill
	                id: ringtones
	                objectName: "position"
	
	                title: "Texture Position"
                    selectedIndex: 0
                    Option {
	                    text: "Top Left"
	                }
	                Option {
	                    text: "Top Center"
	                }
	                Option {
	                    text: "Top Right"
	                }
	                Option {
	                    text: "Centered"
	                }
	                Option {
	                    text: "Bottom Left"
	                }
	                Option {
	                    text: "Bottom Center"
	                }
	                Option {
	                    text: "Bottom Right"
	                }

                }	
	
	            DropDown {
	                id: formatdropdown
	                objectName: "timeformatDropdown"
	                horizontalAlignment: HorizontalAlignment.Fill
	
	                title: "Date/Time"
                    onSelectedIndexChanged: {
                        if (selectedIndex == 0)
                        {
                            colordropdown.setVisible(false)
                            positiondropdown.setVisible(false)
                        }
                        else
                        {
                            colordropdown.setVisible(true)
                            positiondropdown.setVisible(true)
                        }                    
                        
                    }
                    Option {
	                    value: "Do Not Include"
	                    text:  "Do Not Include"
	                }

	                Option {
	                    value: "mm-dd-yyyy hh:mm:ss"
	                    text:  "mm-dd-yyyy hh:mm:ss"
	                }
	                
	                Option {
	                    value: "dd-mm-yyyy hh:mm:ss"
	                    text:  "dd-mm-yyyy hh:mm:ss"
	                }
	
	                Option {
	                    value: "mm/dd/yyyy hh:mm:ss"
	                    text:  "mm/dd/yyyy hh:mm:ss"
	                }
	                
	                Option {
	                    value: "dd/mm/yyyy hh:mm:ss"
	                    text:  "dd/mm/yyyy hh:mm:ss"
	                }
	                // dates only
	                Option {
	                    value: "mm-dd-yyyy"
	                    text:  "mm-dd-yyyy"
	                }
	                
	                Option {
	                    value: "dd-mm-yyyy"
	                    text:  "dd-mm-yyyy"
	                }
	
	                Option {
	                    value: "mm/dd/yyyy"
	                    text:  "mm/dd/yyyy"
	                }
	                
	                Option {
	                    value: "dd/mm/yyyy"
	                    text:  "dd/mm/yyyy"
	                }
                }

	            DropDown {
	                id: colordropdown
	                objectName: "colorDropdown"
	                horizontalAlignment: HorizontalAlignment.Fill
	
	                title: "Text Color"
                    visible: false
                    Option {
	                    value: "Black"
	                    text:  "Black"
	                }
	                
	                Option {
	                    value: "Blue"
	                    text:  "Blue"
	                }
	
	                Option {
	                    value: "Orange"
	                    text:  "Orange"
	                }
	                
	                Option {
	                    value: "Red"
	                    text:  "Red"
	                }
	
	                Option {
	                    value: "Yellow"
	                    text:  "Yellow"
	                }
	
	                Option {
	                    value: "White"
	                    text:  "White"
	                }
                   }    // color drop down

	            DropDown {
	                id: positiondropdown
	                objectName: "positionDropdown"
	                horizontalAlignment: HorizontalAlignment.Fill
	
	                title: "Position"
                    visible: false
                    Option {
	                    value: "Top Left"
	                    text:  "Top Left"
	                }
	                Option {
	                    value: "Top Right"
	                    text:  "Top Right"
	                }
	                Option {
	                    value: "Centered"
	                    text:  "Centered"
	                }

	                Option {
	                    value: "Bottom Left"
	                    text:  "Bottom Left"
	                }
	                Option {
	                    value: "Bottom Right"
	                    text:  "Bottom Right"
	                }
               }    // position
	
	
		        Container
		        {
	                layout: DockLayout {
		            }
                    horizontalAlignment: HorizontalAlignment.Fill
                   topPadding: 10.0
                    Label {
                        text: "Enable Shutter Sound"
                        horizontalAlignment: HorizontalAlignment.Left
                        }
                    CheckBox {
                        objectName: "shuttersound"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }

		        Container
		        {
	                layout: DockLayout {
		            }
                    horizontalAlignment: HorizontalAlignment.Fill
                   topPadding: 10.0
                    Label {
                        text: "Include Texture In Video"
                        horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                    CheckBox {
                        objectName: "includelogo"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            logocolor.setVisible(checked);                            
                        }
                    }
                }

		        Container
		        {
                    objectName: "logooriginalcolor_container"
		            id: logocolor
	                layout: DockLayout {
		            }
                    horizontalAlignment: HorizontalAlignment.Fill
                   topPadding: 10.0
                    visible: false
                    Label {
                        text: "Leave Texture In Original Color"
                        horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                    CheckBox {
                        objectName: "logooriginalcolor"
                        horizontalAlignment: HorizontalAlignment.Right
                        }
                }


            }
        }




    }
}
