import bb.cascades 1.0
import com.appshot 1.0

NavigationPane {

	Page
	{
	    Container
	    {
	        
		    layout: DockLayout {
		    }

            // holds the camera control
		    Container
		    {
		        
	            verticalAlignment: VerticalAlignment.Top
	            horizontalAlignment: HorizontalAlignment.Center
	            objectName: "cameraContainer"
	        }


            // holds the camera icon top restart it
		    Container
		    {
		        id: videoContainer
	            verticalAlignment: VerticalAlignment.Center
	            horizontalAlignment: HorizontalAlignment.Center
                visible: false
                objectName: "videoContainer"
                ImageButton {
	                pressedImageSource: "asset:///images/icon_video_pressed.png"
	                defaultImageSource: "asset:///images/icon_video.png"
                    onClicked: {
                        videoContainer.setVisible(false)
                        menuIcon.setVisible(true)
                        screensizeContainer.setVisible(true)
                        _mainApp.restartCamera();
                    }
                }
	        }

		    // play icon
		    Container
		    {
		        id: playicon
	            layout: StackLayout {
	                orientation: LayoutOrientation.TopToBottom
	            }
	            horizontalAlignment: HorizontalAlignment.Right
	            verticalAlignment: VerticalAlignment.Top
	            rightPadding: 20.0
	            topPadding: 20.0
                visible: false
                objectName: "playContainer"
                ImageButton {
	                pressedImageSource: "asset:///images/icon_play_pressed.png"
	                defaultImageSource: "asset:///images/icon_play.png"
                    onClicked: {
                        _mainApp.playVideo()
                    }
                }
	        }


            // screen recorder icon
            Container
            {
                id: screenrecorderContainer
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Center
                visible: false
                objectName: "screenrecorderContainer"
                ImageButton {
                    pressedImageSource: "asset:///images/ic_recorder_selected.png"
                    defaultImageSource: "asset:///images/ic_recorder_normal.png"
                    onClicked: {
                        _mainApp.startScreenRecorder();
                    }
                    objectName: "screenrecord_img"
                }
            }
            

		    // yuv color mixture
		    Container
		    {
	            layout: StackLayout {
	            }
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Bottom
	            rightPadding: 20.0
	            leftPadding: 20.0
	            bottomPadding: 450.0
                objectName: "setYUVContainer"
                visible: false
//		        background: Color.Black
                touchPropagationMode: TouchPropagationMode.PassThrough
                overlapTouchPolicy: OverlapTouchPolicy.Allow
                Container
                {
                    objectName: "YcolorSlider"
                    horizontalAlignment: HorizontalAlignment.Fill
		            layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    visible: false
                    Label {
                        text: "Y: "
                        textStyle.color: Color.White
                    }
                    Slider {
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    toValue: 255
                        fromValue: 0
                        value: 127
	                    onImmediateValueChanged: {
	                        _mainApp.changeCustomColor(0, immediateValue);
	                    }
                    }
	            }
	            
                Container
                {
                    objectName: "UcolorSlider"
                    horizontalAlignment: HorizontalAlignment.Fill
		            layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    Label {
                        text: "B: "
                        textStyle.color: Color.White
                    }
                    Slider {
                        horizontalAlignment: HorizontalAlignment.Fill
	                    toValue: 255.0
                        fromValue: 0
	                    onImmediateValueChanged: {
	                        _mainApp.changeCustomColor(1, immediateValue);
	                    }
                        value: 128.0
                    }
	            }

                Container
                {
                    objectName: "VcolorSlider"
		            layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    Label {
                        text: "R: "
                        textStyle.color: Color.White
                    }
                    Slider {
	                    toValue: 255.0
                        fromValue: 0
	                    onImmediateValueChanged: {
	                        _mainApp.changeCustomColor(2, immediateValue);
	                    }
                        value: 128.0
                    }
	            }

            }


		    // recording label
		    Container
		    {
	            layout: StackLayout {
	                orientation: LayoutOrientation.LeftToRight
                }
	            horizontalAlignment: HorizontalAlignment.Right
	            verticalAlignment: VerticalAlignment.Top
	            topPadding: 10.0
	            rightPadding: 20.0
                visible: false
                objectName: "RecordContainer"

                ImageView {
                    objectName: "recordRedDotImg"
                    imageSource: "asset:///images/icon_reddot.png"
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Center
                }

                Label {
                    id: recordLabel
//                    text: "REC"
                    objectName: "recordLabel"
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Center
                    textStyle {
                        base: SystemDefaults.TextStyles.MediumText
                        color: Color.White
                    }
                }
            }


		    // scene icon on top left corner
		    Container
		    {
	            layout: StackLayout {
	                orientation: LayoutOrientation.LeftToRight
                }
	            horizontalAlignment: HorizontalAlignment.Left
	            verticalAlignment: VerticalAlignment.Top
	            leftPadding: 20.0
	            bottomPadding: 20.0
                ImageView {
                    objectName: "modeImg"
                }

                ImageView {
                    objectName: "sceneImg"
                }
                
            }

		    // screen size icon on top bottom left corner
		    Container
		    {
		        id: screensizeContainer
	            layout: DockLayout {
                }
	            horizontalAlignment: HorizontalAlignment.Left
	            verticalAlignment: VerticalAlignment.Bottom
                bottomPadding: 20.0
                leftPadding: 20.0
                objectName: "screensizeContainer"
                Container
                {
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        id: screensizeText
//                        horizontalAlignment: HorizontalAlignment.Center
                        text: "1080 x 1920"
                        // need to delete _1 when the os bug is fixed
                        objectName: "screensize"
	                    textStyle {
	                        base: SystemDefaults.TextStyles.SmallText
	                        color: Color.White
	                    }
                    }
                }

                Container
                {
		            ImageButton {
	                    objectName: "screenImg"
		                pressedImageSource: "asset:///images/icon_film_pressed.png"
		                defaultImageSource: "asset:///images/icon_film.png"
	                    onClicked: {
	                        _mainApp.setScreenSize()
/*                            screensizeContainer.setVisible(false)
                            playicon.setVisible(false)
                            menuIcon.setVisible(false)

                            hideActionBarTimer.start();
*/                            
                        }
                    }

	            }

            }

		    
		    // menu icon
		    Container
		    {
	            layout: StackLayout {
	                orientation: LayoutOrientation.TopToBottom
	            }
	            horizontalAlignment: HorizontalAlignment.Right
	            verticalAlignment: VerticalAlignment.Bottom
	            rightPadding: 20.0
	            bottomPadding: 20.0
	            ImageButton {
	                id: menuIcon
	                pressedImageSource: "asset:///images/settings_pressed.png"
	                defaultImageSource: "asset:///images/settings_unpressed.png"
                    onClicked: {
                        menuIcon.setVisible(false)
                        _mainApp.setMenuVisible(true)
                        listmenuContainer.setVisible(true)
                        sequentialAnim.play() 
                    }
                    objectName: "menuIconImgButton"
                }
	        }

		    // change color effect for filter
		    Container
		    {
	            layout: StackLayout {
	            }
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Bottom
	            rightPadding: 20.0
	            leftPadding: 20.0
	            bottomPadding: 450.0
                objectName: "setColorContainer"
                visible: false
                touchPropagationMode: TouchPropagationMode.PassThrough
                overlapTouchPolicy: OverlapTouchPolicy.Allow
//		        background: Color.Black
                Slider {
                    horizontalAlignment: HorizontalAlignment.Fill
                    toValue: 1.0
                    value: 0.5
                    objectName: "colorSlider"
                    onImmediateValueChanged: {
                        _mainApp.changeFilterColor(immediateValue);
                    }
                }

            }

	
		    // color effect icon
		    Container
		    {
	            layout: DockLayout {
//	                orientation: LayoutOrientation.TopToBottom
	            }
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Bottom
	            rightPadding: 20.0
	            bottomPadding: 250.0
                objectName: "effectContainer"
                visible: false
                Container
	            {
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Center
	                ImageView {
//			            imageSource: "asset:///images/icon_effect_red.png"
	                    objectName: "effectImg"
	                }
	            }
	            
	            Container
	            {
		            ImageButton {
		                id: effectIcon
		                pressedImageSource: "asset:///images/settings_colorfilter_pressed.png"
		                defaultImageSource: "asset:///images/settings_colorfilter.png"
	                    onClicked: {
	                        _mainApp.setModifyEffectColor()
	                    }
	                    objectName: "colorEffectImgButton"
	                }
	            }
	        }

	
	        // menu icons
			Container {
			    id: listmenuContainer
		        background: Color.Black
		        maxWidth: 700.0
	            visible: false
                objectName: "listMenuContainer"

			    animations: [
				        SequentialAnimation {
				            id: sequentialAnim
				            TranslateTransition {
				                fromX: -700
				                toX: 0
		                        duration: 250
                            }
                            objectName: "menuAnim"
				        }
			    ]

                // The title label
                layout: DockLayout {
                }

/*                Container
                {
                    id: menuTitle
                    background: Color.DarkGray
//                    opacity: 0.2
                    preferredHeight: 50.0
                    preferredWidth: 400.0
                    Label {
                        id: menuText
//                        horizontalAlignment: HorizontalAlignment.Center
//                        text: "Shooting Mode"
                        textStyle.color: Color.White
                        objectName: "menuTitle"
                    }
	            }
*/	            
                Container
                {
	                topPadding: 200.0
                    objectName: "iconListViewContainer"
    

                    ListView {
	                    id: listView
	                    leftMargin: 10	
	                    dataModel: _mainApp.model
	
	                    listItemComponents: ListItemComponent {
	                        type: "item"
							Container {
							    id: recipeItem
							    
							    layout: DockLayout {
							    }
			
							    Container {
							        
							        layout: DockLayout {
							        }
							
							        // Item background image.
							        ImageView {
							            id: imgItemBackground
							            imageSource: "asset:///images/white_photo.png"
							            preferredWidth: 700
							            preferredHeight: 114
							        }
							        
							        Container {
							            id: highlightContainer
							            background: Color.create("#75b5d3")
							            opacity: 0.0
							            preferredWidth: 700
							            preferredHeight: 114
							            horizontalAlignment: HorizontalAlignment.Center
							        }
							
							        // The Item content an image and a text
							        Container {
							            leftPadding: 3
							            horizontalAlignment: HorizontalAlignment.Fill
							            
							            layout: StackLayout {
							                orientation: LayoutOrientation.LeftToRight
							            }
                                        verticalAlignment: VerticalAlignment.Center
                                        ImageView {
							                preferredWidth: 81
							                preferredHeight: 81
		                                    verticalAlignment: VerticalAlignment.Center
							
							                // The image is bound to the data in models/recipemodel.xml image attribute.
							                imageSource: ListItemData.image
							            }
							            
							            Container {
								            layout: StackLayout {
								                orientation: LayoutOrientation.LeftToRight
								            }
		                                    verticalAlignment: VerticalAlignment.Center
		                                    horizontalAlignment: HorizontalAlignment.Left
							                leftMargin: 40
		                                    Label {
								                // The title is bound to the data in models/recipemodel.xml title attribute.
								                text: ListItemData.title
//								                textStyle.base: recipeItem.ListItem.view.itemTextStyle.style
	                                            textStyle.color: Color.White
	                                        } // Label
								        } // text container
								        
							        } // Container
							    } // Container
		
							    // Highlight function for the highlight Container
							    function setHighlight(highlighted) {
							        if(highlighted) {
							            highlightContainer.opacity = 0.9;
							        } else {
							            highlightContainer.opacity = 0.0;
							        }    
							    }
							    
							    // Connect the onActivedChanged signal to the highlight function
							    ListItem.onActivationChanged : {        
							        setHighlight(ListItem.active);
							    } 
							    
								// Connect the onSelectedChanged signal to the highlight function
							    ListItem.onSelectionChanged : {
							        setHighlight(ListItem.selected);
							    }
							}
	
	
	                    }
	
	
	                    onTriggered: {
	                        clearSelection()
	                        select(indexPath)
	                        _mainApp.peformMenuAction(indexPath)
	                    }
                        objectName: "menuListview"
                    }
                    
                }
		
		    }
		    objectName: "mainContainer"

            Container {
                verticalAlignment: VerticalAlignment.Bottom
                horizontalAlignment: HorizontalAlignment.Center
                ImageButton {
                    defaultImageSource: "asset:///images/ic_camera_normal.png"
                    pressedImageSource: "asset:///images/ic_camera_toggle.png"
                    onClicked: {
                        _mainApp.record_stop();
                    }
                    objectName: "imgbut_record_stop"
                
                }
            
            }

            Container
            {
                objectName: "privatebackground"
                touchPropagationMode: TouchPropagationMode.PassThrough
                visible: false
                ImageView {
/*	                onTouch: {
	                    if (event.isDown()) {
	                        _mainApp.takePicture()
	                    }
	                }
*/
                imageSource: "asset:///images/private_background.png"
                    touchPropagationMode: TouchPropagationMode.PassThrough
                }
            }

	    } // menu icon

	    
        attachedObjects: [
            AppShot {
                // This is the Object that takes a screen shot of the application.
                id: appShot
            },
            QTimer {
                // A timer is needed to delay the screen shot until the ActionBar is hidden.
                // Here we use the QTimer, which has to be registered as a type in the application
                // constructor to work (see constructor in appshotapp.cpp).
                id: hideActionBarTimer
                interval: 300
                singleShot: true

                onTimeout: {
                    // Take a screen shot by calling the captureScreen function of the AppShot object.
                    var filePath = appShot.captureScreen("swapimage.jpg");

                    // Show the screen shot in a pictures card (see invokalble function in appshotapp.cpp).
                    _mainApp.showPhotoInCard(filePath);
                    screensizeContainer.setVisible(true)
                    playicon.setVisible(true)
                    menuIcon.setVisible(true)

                    // Show the action bar again, so that more screen shots can be made by the user.
//                    actionBarVisibility = ChromeVisibility.Overlay
                }
            }
        ]

    }
}