/* Copyright (c) 2012 Research In Motion Limited.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
import bb.cascades 1.0
import "Common"

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
RecipePage {
        title: "Help"
    Container {
        
        ScrollView {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }
            
            Container
            {
                layout: StackLayout {
                }


            
	        Container {
	            topPadding: 10
	            bottomPadding: topPadding
	            leftPadding: 10
	            rightPadding: leftPadding
	            Label {
	                textFormat: TextFormat.Html
	                multiline: true
	            text: "<b>Video Pro</b> is a video recording application that allows you add textures or logo to the video and optionally add special effect in real time.  You can apply special effects like Greyscale, Sepia, Red color only, solid Red color only and many more filters. You can also set the video recording size from low resolution 120x160 to 1080x1920 HD.

<b>Controls</b>

To access the application menu touch the menu icon on the bottom right screen.  Most of the controls can be set before recording and during recording.  You can start with one filter and then change to another filter in the middle of the recording.

Some filters you can adjust the color by touching the Color filter icon on the bottom center screen.  A color slider control will be displayed.  You can then adjust the color in real time.

<b>Default Textures</b>

Video Pro includes some camera len textures for you to use.  Goto the menu and select Default Textures.  You can make your own Camera Len textures.  Use PNG format and make the texture transparent.

<b>Load Textures and Logo</b>

You can browse any picture on the Device or SD Card.  For best result the texture should be in PNG format with transparent background.
Large texture that take up the entire screen will slow down the video frame rate.

You can use a Logo to water mark your video.  Just make the Logo and save it as PNG format.  You can then goto the Settings screen and set where to place to the Texture on the video screen.  For all textures you can set to use the original color or set it to the current color filter.

If you want to blend the texture with the video eg: make the video look vintage then make your texture semi-transparent and save it in PNG fromat.

<b>Color Isolation Filters</b>

There are 4 Color Isolation Filters:  Red, Green, Blue and Yellow.  When you select the filter the only color range will be shown in the video.  All other colors will be in greyscale.

You can use the color slider control to fine tune the color space.  There maybe some overlap colors like Pink when you select the Red filter.

<b>Screen Size</b>

Video Pro offers many more recording sizes than the native Video application.  Press the Screen Size icon on the bottom left corner of the screen.  A menu will be displayed with all the available screen sizes.

The preview video is stretched to display in full screen and may look different but the recording will maintain the aspect ratio and size.

Note:  When you record in higher resolution and depending on the filter you have selected, the video frame rate maybe slow because Video Pro have to process more. 

<b>Zooming</b>

To zoom in and out do a two finger pinch on the screen.

<b>Storage</b>

Video Pro saves all videos to the Camera folder on the Device.  When recording in HD the video size will be huge.  You can always use the File Manager to move the vidoes to the SD Card if a SD Card is available.

<b>Application Permission</b>

Video Pro requires <b>Camera, Microphone, Shared Files and BBM permissions</b>.  If you had denied the permissions then Video Pro will not operate properly.

To set the permsissions run the Settings application, select Security and Privacy, select Application Permissions and select Video Pro.

Video Pro v1.2.1
Copyright © 2013-2015 Toysoft Inc.
All Rights Reserved.

www.toysoft.ca
support@toysoft.ca"
                    textStyle.fontSize: FontSize.Small
                }// Label
	        }// text Container
/*	        
                Divider {
                }
                
                Label {
                    text : "<b>Application Icons</b>
                    
 To cancel or close a menu or a control just tap outside of the control or menu."                    
	                textFormat: TextFormat.Html
                    textStyle.fontSize: FontSize.Large
                    multiline: true
                    leftPadding: 10
                }
                
                Container {
	                topPadding: 10
	                bottomPadding: topPadding

	                ListView {
	                    
	                    dataModel: XmlDataModel {
	                        source: "models/defaults.xml"
	                    }
	                    
	                    listItemComponents: [
	 
	                        ListItemComponent {
	
	                            type: "recipeitem"
	                            RecipeItem {
	                            }
	                        }
	                    ]
                    }// ListView
	            }
*/
	      } 
	
	    }// RecipeContainer
	}

	    actions: [

	        ActionItem {
	            title: "More Apps"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/icon_moreapps.png"
	            onTriggered: {
	                invokeappworld.trigger("bb.action.OPEN")
	            }
	        },

	        // define the actions for first tab here
	        ActionItem {
	            ActionBar.placement: ActionBarPlacement.OnBar
	            title: qsTr("Invite")
	            imageSource: "asset:///images/icon_bbm.png"
	            onTriggered: {
	                       _mainApp.invitedownload()
	            }
	        },

	        ActionItem {
	            title: "Add Review"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_edit.png"
	            onTriggered: {
	                addreview.trigger("bb.action.OPEN")
	            }
	        }




/*	        ,

	        ActionItem {
	            title: "Purchase"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/icon_moreapps.png"
	             
	            onTriggered: {
	                invokeappworld2.trigger("bb.action.OPEN")
	            }
	        }
*/

/*
	        ActionItem {
	            title: "Website"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/icon_web.png"
	             
	            onTriggered: {
	                invokewebsite.trigger("bb.action.OPEN")
	            }
	        }
	        
*/	        
	        
	    ]

	  attachedObjects: [
	    TextStyleDefinition
	    {
	      id: tsd
	      base: SystemDefaults.TextStyles.BodyText
	      fontWeight: FontWeight.Bold
	      fontSize: FontSize.Large
	
	    },

	    Invocation
	    {
	         id: invokewebsite
	         query: InvokeQuery
	         {
				mimeType: "text/html"
				uri: "http://www.toysoft.ca/"
				invokeActionId: "bb.action.OPEN"
	         }
	     },

	    Invocation
	    {
	         id: invokeappworld
	         query: InvokeQuery
	         {
                mimeType: "application/x-bb-appworld"
				uri: "appworld://vendor/184"
				invokeActionId: "bb.action.OPEN"
	         }
	     },

        Invocation {
            id: addreview
            query: InvokeQuery {
                mimeType: "application/x-bb-appworld"
                uri: "appworld://content/28055175"
                invokeActionId: "bb.action.OPEN"
            }
        },

        Invocation
	    {
	         id: invokeappworld2
	         query: InvokeQuery
	         {
                mimeType: "application/x-bb-appworld"
				uri: "appworld://content/20399181"
				invokeActionId: "bb.action.OPEN"
	         }
	     }

	  ]
  
}// RecipePage